Loading...
Searching...
No Matches
ISMRMRD::ProtocolDeserializer Class Reference

## Public Member Functions

| ProtocolDeserializer (ReadableStreamView &rs)
void | deserialize (ConfigFile &cf)
void | deserialize (ConfigText &ct)
void | deserialize (TextMessage &tm)
void | deserialize (IsmrmrdHeader &hdr)
void | deserialize (Acquisition &acq)
template<typename T>
void | deserialize (Image< T > &img)
void | deserialize (Waveform &wfm)
template<typename T>
void | deserialize (NDArray< T > &arr)
uint16_t | peek ()
int | peek_image_data_type ()
int | peek_ndarray_data_type ()

## Protected Attributes

ReadableStreamView & | _rs
uint16_t | _peeked
ImageHeader | _peeked_image_header
uint16_t | _peeked_ndarray_data_type

The documentation for this class was generated from the following files:

- serialization.h
- serialization.cpp